perl-openssl-defaults_3build1_amd64.deb


Advertisement

Description

perl-openssl-defaults - version compatibility baseline for Perl OpenSSL packages

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name perl-openssl-defaults
Package version 3build1
Package architecture amd64
Package type deb
Installed size 27 B
Download size 6.85 KB
Official Mirror archive.ubuntu.com
A subset of Perl XS module packages expose the OpenSSL binary interface
to Perl code. This can lead to incompatibilities if these packages are
linked against different versions of OpenSSL.
This package provides a virtual package "perl-openssl-abi-x" that
corresponds to the libssl-dev package SONAME it was built against.
The packages that need to stay compatible with each other can depend
on this.
Tools are also provided for generating this dependency with minimum
hassle. See the instructions in README.Debian.

Alternatives

Package Version Architecture Repository
perl-openssl-defaults_3build1_i386.deb 3build1 i386 Ubuntu Main
perl-openssl-defaults - - -

Requires

Name Value
libc6 >= 2.2.5
libssl1.1 >= 1.1.0

Provides

Name Value
perl-openssl-abi-1.1 -

Download

Type URL
Binary Package perl-openssl-defaults_3build1_amd64.deb
Source Package perl-openssl-defaults

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install perl-openssl-defaults deb package:
    # sudo apt-get install perl-openssl-defaults

Files

Path
/usr/bin/dh_perl_openssl
/usr/share/doc/perl-openssl-defaults/README.Debian
/usr/share/doc/perl-openssl-defaults/changelog.gz
/usr/share/doc/perl-openssl-defaults/copyright
/usr/share/man/man1/dh_perl_openssl.1.gz
/usr/share/perl-openssl-defaults/get-libssl-abi
/usr/share/perl-openssl-defaults/perl-openssl.make
/usr/share/perl5/Debian/Debhelper/Sequence/perl_openssl.pm

Changelog

2018-02-05 - Dimitri John Ledkov <xnox@ubuntu.com>
perl-openssl-defaults (3build1) bionic; urgency=high
* No change rebuild against openssl1.1.
2017-01-14 - Niko Tyni <ntyni@debian.org>
perl-openssl-defaults (3) unstable; urgency=medium
* Use CPPFLAGS in the build to placate the Debian build log scanner.
* Break older versions of the packages that have adopted this scheme,
to ensure that partial upgrades pull in a compatible set of packages.
(See #848113)
2016-12-22 - Niko Tyni <ntyni@debian.org>
perl-openssl-defaults (2) unstable; urgency=medium
* Fix objdump use on platforms like i386 where
DEB_HOST_GNU_TYPE != DEB_HOST_MULTIARCH.
2016-12-22 - Niko Tyni <ntyni@debian.org>
perl-openssl-defaults (1) unstable; urgency=medium
* Initial release. (Closes: #848932)
+ thanks to Gregor Herrmann for the reviews

See Also

Package Description
perl_5.26.1-6_amd64.deb Larry Wall's Practical Extraction and Report Language
php-all-dev_60ubuntu1_all.deb package depending on all supported PHP development packages
php-cgi_7.2+60ubuntu1_all.deb server-side, HTML-embedded scripting language (CGI binary) (default)
php-cli_7.2+60ubuntu1_all.deb command-line interpreter for the PHP scripting language (default)
php-common_60ubuntu1_all.deb Common files for PHP packages
php-curl_7.2+60ubuntu1_all.deb CURL module for PHP [default]
php-dev_7.2+60ubuntu1_all.deb Files for PHP module development (default)
php-gd_7.2+60ubuntu1_all.deb GD module for PHP [default]
php-gmp_7.2+60ubuntu1_all.deb GMP module for PHP [default]
php-ldap_7.2+60ubuntu1_all.deb LDAP module for PHP [default]
php-mysql_7.2+60ubuntu1_all.deb MySQL module for PHP [default]
php-odbc_7.2+60ubuntu1_all.deb ODBC module for PHP [default]
php-pear_1.10.5+submodules+notgz-1ubuntu1_all.deb PEAR Base System
php-pgsql_7.2+60ubuntu1_all.deb PostgreSQL module for PHP [default]
php-pspell_7.2+60ubuntu1_all.deb pspell module for PHP [default]
Advertisement
Advertisement